from wtforms import SubmitField, StringField, HiddenField, validators, Form
from flask_wtf import FlaskForm
from flask import request, render_template, redirect
from main import db, app, ma
from sqlalchemy import Sequence
from sqlalchemy.exc import SQLAlchemyError
from status import st, Status
from files import Entry, File, FileRefimgLink
from person import Person, PersonRefimgLink
from refimg import Refimg

################################################################################
# /aistats -> placholder for some sort of stats
################################################################################
@app.route("/aistats", methods=["GET", "POST"])
def aistats():
    tmp=db.session.query(Entry,Person).join(File).join(FileRefimgLink).join(Refimg).join(PersonRefimgLink).join(Person).filter(FileRefimgLink.matched==True).all()
    entries=[]
    last_fname=""
    for e, p in tmp:
        if last_fname != e.name:
            entry = { 'name': e.name, 'people': [] }
            entries.append( entry )
            last_fname = e.name
        entry['people'].append( { 'tag': p.tag } )
    return render_template("aistats.html", page_title='Placeholder', entries=entries)
